git tag -l requires pwd==GERRIT_PROJECT so pushd/popd as needed
Change-Id: I0cef0119e1ee62f303da930216980f038ece5f78
diff --git a/jjb/shell/github-release.sh b/jjb/shell/github-release.sh
index 31c54b7..ee95292 100755
--- a/jjb/shell/github-release.sh
+++ b/jjb/shell/github-release.sh
@@ -276,7 +276,10 @@
get_version __ver
elif [[ -v WORKSPACE ]] && [[ -v GITHUB_TOKEN ]]; then # i_am_jenkins
+ declare -p GERRIT_PROJECT
+ pushd "$GERRIT_PROJECT" || error "pushd GERRIT_PROJECT= failed"
__ver="$(git tag -l --points-at HEAD)"
+ popd "$GERRIT_PROJECT" || error "popd GERRIT_PROJECT= failed"
elif [[ -v argv_version_file ]]; then # local debug
[[ ! -f VERSION ]] && error "./VERSION file not found"
@@ -284,7 +287,10 @@
__ver="v${tmp[0]}"
else
+ declare -p GERRIT_PROJECT
+ pushd "$GERRIT_PROJECT" || error "pushd GERRIT_PROJECT= failed"
__ver="$(git tag -l --points-at HEAD)"
+ popd "$GERRIT_PROJECT" || error "popd GERRIT_PROJECT= failed"
fi
# ------------------------------------------------------